petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsReject

Generates an error if a certain option is given.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsReject(PetscOptions options,const char pre[],const char name[],const char mess[])

Not Collective

### Input Parameters

| options | - options database, use NULL for default global database
| pre | - the option prefix (may be NULL)
| name | - the option name one is seeking
| mess | - error message (may be NULL)

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),OptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages